Bug 1296241 - Chrome crash in spnego_gss_inquire_context()
Chrome crash in spnego_gss_inquire_context()
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: krb5 (Show other bugs)
7.2
Unspecified Unspecified
medium Severity high
: rc
: ---
Assigned To: Robbie Harwood
Patrik Kis
https://github.com/krb5/krb5/pull/385
:
Depends On: 1295893
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 11:45 EST by Robbie Harwood
Modified: 2016-11-03 16:24 EDT (History)
9 users (show)

See Also:
Fixed In Version: krb5-1.14.1-1.el7
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of: 1295893
Environment:
Last Closed: 2016-11-03 16:24:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robbie Harwood 2016-01-06 11:45:37 EST
+++ This bug was initially created as a clone of Bug #1295893 +++

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffd6468700 (LWP 5331)]
spnego_gss_inquire_context (minor_status=0x7fffd6466f64, context_handle=0x0, 
    src_name=0x7fffd6466de0, targ_name=0x7fffd6466dd8, 
    lifetime_rec=0x7fffd6466f4c, mech_type=0x7fffd6466dd0, 
    ctx_flags=0x7fffd6466f3c, locally_initiated=0x7fffd6466f38, 
    opened=0x7fffd6466f34) at spnego_mech.c:2256
2256			*locally_initiated = sc->initiate;
(gdb) p sc
$1 = (spnego_gss_ctx_id_t) 0x0
(gdb) bt
#0  0x00007fffeedc5902 in spnego_gss_inquire_context (minor_status=0x7fffd6466f64, context_handle=0x0, src_name=0x7fffd6466de0, targ_name=0x7fffd6466dd8, lifetime_rec=0x7fffd6466f4c, mech_type=0x7fffd6466dd0, ctx_flags=0x7fffd6466f3c, locally_initiated=0x7fffd6466f38, opened=0x7fffd6466f34) at spnego_mech.c:2256
#1  0x00007fffeeda5fc4 in gss_inquire_context (minor_status=0x7fffd6466f64, context_handle=<optimized out>, src_name=0x7fffd6466f58, targ_name=0x7fffd6466f50, lifetime_rec=0x7fffd6466f4c, mech_type=0x7fffd6466f40, ctx_flags=0x7fffd6466f3c, locally_initiated=0x7fffd6466f38, opened=0x7fffd6466f34) at g_inq_context.c:114
#2  0x00005555568388af in  ()

--- Additional comment from David Woodhouse on 2016-01-05 12:34:07 EST ---

Addressed by https://github.com/krb5/krb5/pull/385
Comment 8 errata-xmlrpc 2016-11-03 16:24:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2591.html

Note You need to log in before you can comment on or make changes to this bug.